---
deprecated: true
search:
  tags:
    - DAM
    - GET
seo:
  description: >-
    Retrieves a paginated list of all shareable links… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/dam/shareable-links endpoint in the
    Management API.
sidebar:
  label: List all shareable links
  badge: GET
title: List all shareable links
type: openapi-operation
---
Retrieves a paginated list of all shareable links for the app, with optional filtering by folder ID
Deprecated: use GET /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/shareable-links instead.

`GET /api/v1/{team_slug}/{app_slug}/dam/shareable-links`

**Deprecated.**

**Responses**

- `200` — Shareable links retrieved successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `403` — Forbidden
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "description": "string",
      "expires_at": "string",
      "file_ids": [
        "string"
      ],
      "folder_ids": [
        "string"
      ],
      "id": "string",
      "image_ids": [
        "string"
      ],
      "token": "string",
      "updated_at": "string",
      "video_ids": [
        "string"
      ]
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
